{% extends "donate/base.html" %}

{% block content %}

<!-- CONTENT -->
<main role="main">

  <section class="section--primary">
    <div class="container">
      <h1 class="lead homepage-heading mb-4">{{ page.heading }}</h1>
      <div class="row projects mb-4">

        {% for project in projects %}
          {% include "donate/project_snippet.html" %}
        {% empty %}
          <div class="col"><p>Momentálně nejsou žádné aktivní projekty a kampaně.</p></div>
        {% endfor %}

      </div> <!-- /row -->

      {% if projects.paginator.num_pages > 1 %}
      <nav aria-label="Stránkování aktualit">
        <ul class="pagination justify-content-center">

          {% if projects.has_previous %}
            <li class="page-item"><a class="page-link" href="?page={{ projects.previous_page_number }}">Předchozí</a></li>
          {% endif %}

          {% for page_num in projects.paginator.page_range %}
            {% if page_num == projects.number %}
              <li class="page-item active">
                <a class="page-link" href="#">{{ page_num }} <span class="sr-only">(current)</span></a>
              </li>
            {% else %}
              <li class="page-item"><a class="page-link" href="?page={{ page_num }}">{{ page_num }}</a></li>
            {% endif %}
          {% endfor %}

          {% if projects.has_next %}
            <li class="page-item"><a class="page-link" href="?page={{ projects.next_page_number }}">Další</a></li>
          {% endif %}

        </ul>
      </nav>
      {% endif %}

    </div> <!-- /container -->
  </section>

</main>
<!-- /CONTENT -->

{% endblock %}
